Este plugin no se ha probado con las últimas 3 versiones mayores de WordPress. Puede que ya no tenga soporte ni lo mantenga nadie, o puede que tenga problemas de compatibilidad cuando se usa con las versiones más recientes de WordPress.

inDiv for TablePress

Descripción

Extensión personalizada para TablePress para envolver la tabla automáticamente dentro de un elemento DIV. Añade `indiv=true` a tus tablas para encerrar tus tablas de TablePress en un DIV con la clase “indiv_tablepress”.

Instalación

  1. Sube los archivos del plugin al directorio /wp-content/plugins/indiv-for-tablepress o instala el plugin directamente a través de la pantalla de plugins de WordPress.
  2. Activa el plugin a través de la pantalla “Plugins” en WordPress.
  3. Asegúrate de que tienes el plugin TablePress instalado y activo.
  4. Añade el shortcode `in_div=true` en el shortcode de TablePress.

Preguntas frecuentes

¿Qué hace este plugin?

Envuelve el elemento TablePress

para facilitar dar estilos de forma más sencilla a tu tema o sitio

Cómo aplico inDiv a TablePress

Simplemente añade el parámetro `indiv=true` al shortcode de TablePress. Tendrás un shortcode básico de TablePress como `[table id=… indiv=true]`

¿Puedo aplicar esto a todas las tablas de TablePress?

¡Sí! En la página “TablePress > Opciones de inDiv”, puedes activar la opción para aplicarla automáticamente a todas las tablas de TablePress en lugar de hacerlo por el atributo del shortcode.

Reseñas

No hay reseñas para este plugin.

Colaboradores y desarrolladores

Este software es de código abierto. Las siguientes personas han contribuido a este plugin.

Colaboradores

“inDiv for TablePress” ha sido traducido a 4 idiomas locales. Gracias a los traductores por sus contribuciones.

Traduce “inDiv for TablePress” a tu idioma.

¿Interesado en el desarrollo?

Revisa el código, echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

1.0.3

  • Corregido un error al guardar las opciones

1.0.2

  • Los usuarios ahora pueden permitir que el plugin lo aplique a todas las tablas en lugar de por hacerlo por el atributo del shortcode
  • Reescrito el backend para ser modular
  • Ahora se necesita WordPress 5.3 o superior y PHP 5.6.20 o superior

1.0.1

  • Versión inicial.